<div class="group-dropdown">
  <div class="cover-input">
    <input
      type="text"
      placeholder="-- Select or Type --"
      [(ngModel)]="selectOption"
      (keyup)="searchQuery($event)"
      (focus)="focus($event)"
    />
    <button mat-button class="click-row" (click)="showDropdownFunc($event)">
      <i class="arrow-icon"></i>
    </button>
  </div>
  <div class="box-list">
    <ul class="list-search">
      <li *ngFor="let item of data" [ngClass]="{ active: item.name === selectOption }">
        <a href="javascript:;" (click)="selectItem(item)">{{ item.name }}</a>
      </li>
      <li class="item-no-options" *ngIf="data.length === 0">
        <a href="javascript:;">No Options</a>
      </li>
    </ul>
  </div>
  <!-- end/list search -->
</div>
